#![allow(dead_code)]

use crate::memory::MemoryRegion;

extern crate alloc;
use alloc::vec::Vec;
use alloc::string::String;

pub struct Process {
    proc_id: u32,
    parent_proc_id: u32,
    name: String,
    stack_base_addr: usize,
    stack_ptr_addr: usize,
    mem_regions: Vec<MemoryRegion>,
    prio: u16,
}

pub enum ProcessState {
    RUNNING,
    WAITING,
    SLEEPING,
    SUSPENDED,

}